﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="TrackShapeFinishedEvent.aspx.cs"
    Inherits="CSSamples.Samples.MapShapes.TrackShapeFinishedEvent" %>

<%@ Register Assembly="WebEdition" Namespace="ThinkGeo.MapSuite.WebEdition" TagPrefix="cc1" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head id="Head1" runat="server">
    <link href="~/theme/default/samplepic/style.css" rel="stylesheet" type="text/css" />
    <title>Finished Track Shape Event</title>
</head>
<body>
    <form id="form1" runat="server">
    <asp:ScriptManager ID="ScriptManager1" runat="server">
    </asp:ScriptManager>
    <asp:UpdatePanel ID="UpdatePanel1" runat="server">
        <ContentTemplate>
            <cc1:Map ID="Map1" runat="server" Width="100%" Height="100%" OnTrackShapeFinished="Map1_TrackShapeFinished">
            </cc1:Map>
            <Description:DescriptionPanel ID="DescPanel" runat="server">
                The sample demonstrates 'TrackShapeFinished' event of the map. If you attach handlers
                to this event, the map will postback each time when you finish drawing a shape.
                <hr />
                Click buttons below to draw shapes on the map.
                <br />
                <asp:ImageButton ID="buttonDrawPolygon" runat="server" ToolTip="Draw Polygon" ImageUrl="~/theme/default/samplepic/polygon28.png"
                    OnClick="buttonDrawPolygon_Click" />
                <asp:Button ID="Button1" runat="server" Text="Button" />
                
            </Description:DescriptionPanel>
        </ContentTemplate>
    </asp:UpdatePanel>
    </form>
</body>
</html>
